Description
Values not committed to actors

Open new Kepler workflow

Drag RExpression from Components tree

double click RExpression icon

Change test in "R function or script:" field

Press commit button

Double click on the same RExpression icon from above
- Any changes have been lost

This occurs on other actors and is not limited to the RExpression.

History

#1 - 08/21/2012 06:35 PM - Derik Barseghian

| cannot replicate. I:

- installed Kepler 2.3.0 in Windows 7

- started Kepler

- dragged out an Rexpression actor from the library

- double-clicked on the actor on canvas

- changed the value of 'R function or script:' to something else

- clicked Commit

- double-clicked on the RExpression actor on canvas, and see my new value

Are there any other details you can provide about your setup, or errors you're seeing?

#2 - 08/21/2012 07:05 PM - lan lan

Uninstalled Kepler
Re installed 2.3
Reproduced error.

Restarted
Reproduced error.

Uninstalled Kepler 2.3
installed Kepler 2.2
did not launch

Repeated test coworkers win Xp machine & Kepler 2.3,
Did not reproduce error.

Tried running existing (saved) workflow in Kepler 2.3 successfully
Win 7 machine

305Gb free on ¢ drive

8.00GB installed ram, - virtual memory turned off

i5 64bit 3.1ghz processor

Administrative user

Windows 7
Enterprise, V6.1 Build 7601, SP1

Java
6 SE, update 31, build 1.6.0-31-b05

r
R version 2.15.1 (2012-06-22)
R directory added to PATH environmental variables

Anti virus Software, Sophos Endpoint Security and Control

I'm a bit lost for solutions, any suggestions or additional information | can provide.

#3 - 08/21/2012 07:38 PM - Derik Barseghian

Yes, it's a known issue that 2.2 won't launch from its icon after installing 2.3. You can use the Kepler Module Manager 2.2 to get 2.2 started. In the
Module Manager, change to Available Suites and Modules, and move kepler-2.2 to the Selected Modules area, and click Apply and Restart.

However I'd rather get 2.3 working for you.

You could try launching Kepler 2.3 from its kepler.bat file from a command prompt, thus enabling you to copy and paste any errors that may be
occurring. Launch the windows Run menu run: cmd. Configure the command prompt so that it buffers a lot of lines (height), and allows you to select
and copy (QuickEdit Mode). Then

cd "c:\Program Files <x86>\Kepler-2.3"

kepler.bat

After getting any error info, you could quit kepler, delete your cache dir (.kepler), and rename your KeplerData to KeplerData_old, so that it's
recreated on startup, in case any of your serialized data has been corrupted, e.g. perhaps due to a Kepler crash.

#4 - 08/21/2012 09:33 PM - lan lan

Thank you for your attention and quick turn around, alas still no joy,
re installed Kepler 2.3

uninstalled java

downloaded jdk-7u6-windows-x64.exe
installed

v 7 update 6, build 1.7.0_06-b24
recreated problem

deleted .kepler directory under my user account,
renamed KeplerData to KeplerData_old

Ran Kepler from Kepler.bat
recreated problem
Output of the console below,

Microsoft Windows [Version 6.1.7601]
Copyright (c) 2009 Microsoft Corporation. All rights reserved.

C:\Users\u5265691>cd c:\program files (x86)\kepler-2.3

c:\Program Files (x86)\Kepler-2.3>kepler.bat

The base dir is C:\Program Files (x86)\Kepler-2.3

Kepler.run going to run.setMain(org.kepler.Kepler)

JVM Memory = 5m 512m

RunClasspath:kepler-2.3.0 C:\Program Files (x86)\Kepler-2.3\kepler-2.3.0\src
RunClasspath:outreach-2.2.0 C:\Program Files (x86)\Kepler-2.3\outreach-2.2.0\src

RunClasspath:r-2.3.0 C:\Program Files (x86)\Kepler-2.3\r-2.3.0\src
RunClasspath:loader-2.2.0 C:\Program Files (x86)\Kepler-2.3\loader-2.2.0\src
RunClasspath:actors-2.3.0 C:\Program Files (x86)\Kepler-2.3\actors-2.3.0\src
RunClasspath:directors-2.0.0 C:\Program Files (x86)\Kepler-2.3\directors-2.0.0\s
rc

RunClasspath:opendap-2.0.0 C:\Program Files (x86)\Kepler-2.3\opendap-2.0.0\src
RunClasspath:dataturbine-2.2.0 C:\Program Files (x86)\Kepler-2.3\dataturbine-2.2
.0\src

RunClasspath:ecogrid-2.3.0 C:\Program Files (x86)\Kepler-2.3\ecogrid-2.3.0\src
RunClasspath:authentication-gui-2.2.0 C:\Program Files (x86)\Kepler-2.3\authenti
cation-gui-2.2.0\src

RunClasspath:gui-2.3.0 C:\Program Files (x86)\Kepler-2.3\gui-2.3.0\src
RunClasspath:module-manager-gui-2.3.0 C:\Program Files (x86)\Kepler-2.3\module-m
anager-gui-2.3.0\src

RunClasspath:authentication-2.3.0 C:\Program Files (x86)\Kepler-2.3\authenticati
on-2.3.0\src

RunClasspath:repository-2.3.0 C:\Program Files (x86)\Kepler-2.3\repository-2.3.0
\src
RunClasspath:job-2.1.0 C:\Program Files (x86)\Kepler-2.3\job-2.1.0\src
RunClasspath:io-2.0.0 C:\Program Files (x86)\Kepler-2.3\io-2.0.0\src
RunClasspath:ssh-2.1.0 C:\Program Files (x86)\Kepler-2.3\ssh-2.1.0\src
RunClasspath:data-handling-2.1.0 C:\Program Files (x86)\Kepler-2.3\data-handling
-2.1.0\src

RunClasspath:sms-2.2.0 C:\Program Files (x86)\Kepler-2.3\sms-2.2.0\src
RunClasspath:component-library-2.2.0 C:\Program Files (x86)\Kepler-2.3\component
-library-2.2.0\src

RunClasspath:util-2.1.0 C:\Program Files (x86)\Kepler-2.3\util-2.1.0\src
RunClasspath:event-state-2.1.0 C:\Program Files (x86)\Kepler-2.3\event-state-2.1
.O\src

RunClasspath:core-2.3.0 C:\Program Files (x86)\Kepler-2.3\core-2.3.0\src
RunClasspath:common-2.3.0 C:\Program Files (x86)\Kepler-2.3\common-2.3.0\src
RunClasspath:module-manager-2.3.0 C:\Program Files (x86)\Kepler-2.3\module-manag
er-2.3.0\src

RunClasspath:configuration-manager-2.3.0 C:\Program Files (x86)\Kepler-2.3\confi
guration-manager-2.3.0\src

RunClasspath:kepler-tasks-2.3.0 C:\Program Files (x86)\Kepler-2.3\kepler-tasks-2
.3.0\src

RunClasspath:ptolemy-kepler-2.3.0 C:\Program Files (x86)\Kepler-2.3\ptolemy-kepl
er-2.3.0\src

Set environment variable: PATH = C:\Windows\system32;C:\Windows;C:\Windows\Syste
m32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files (x86)\Quic
kTime\QTSystem\;C:\Program Files\TortoiseGit\bin;C:\Windows\system32;C:\Windows;
C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program
Files (x86)\QuickTime\QTSystem\;C:\Program Files\R\R-2.15.1\bin\;;

Set environment variable: R_HOME = C:\Program Files\R\R-2.10.1

[null] Checking for patches...

[null] Building Kars...

[null] Ran additional initialization for module core from class org.kepler.
module.core.Initialize

[null] Ran additional initialization for module gui from class org.kepler.m
odule.gui.lnitialize

[null] Kepler Initializing...

[null] INFO (org.kepler.objectmanager.library.LibraryManager:buildLibrary:

338) Building Library...

[null] INFO (org.kepler.objectmanager.cache.LocalRepositoryManager:scanRep
osForKarFiles:246) Scanning Local Repositories for KAR files...

[null] INFO (org.kepler.kar. KARCacheManager:synchronizeKARCacheWithLocalRe
positories:374) The Cache is in sync with KAR files in Local Repositories.

[null] version = 2.3

[null] WARN (org.ecoinformatics.seek.ecogrid.SearchRegistryAction:queryReg
istryRewriteConfig:206) Problem looking up registry entries using endpoint:

[null] http://knb.ecoinformatics.org/registry/services/RegistryService

[null] * Attempting to get ResourceBundle for SVG defaults

[null] svgRenderingMethod = SVG_BATIK_RENDERING *

[null] Ran additional cleanup for module core from class org.kepler.module.
core.Shutdown

c:\Program Files (x86)\Kepler-2.3>
#5 - 08/22/2012 05:52 PM - Derik Barseghian
| don't see anything unusual there.

I'm running short of ideas. Are you sure you're clicking Commit and not Cancel? | ask not to be smart, but because the buttons change sides based
on OS, and so it could be an easy mistake to make if you're habituated.

Were you able to get 2.2 started using the Module Manager 2.2, and does the problem occur there?
You mentioned the problem occurs with other actors. Does it occur for all? If not can you give an example(s) in each camp, maybe there's a pattern.

Another test would be to try a fresh install using another account on your machine. Sorry this is such a struggle..
#6 - 08/26/2012 06:40 PM - lan lan

[Sorry the the delay, | only work Mon-Wed]

Due to rsi | use a pen and tablet for mouse input, the problem seams to be some way caused by that.

Double checked the button | was clicking is the correct (Commit) button,

Tried 2.2 and found the same problem [using the pen],

Repeated the test for different actors noticed that the final text box edits did not save, while check boxes did.
Testing one actor | clumsily found that by changing focus to a different program window or the desktop then clicking back to the commit button
successfully saved text changes.

Speculating its something to do with update events | tried a normal mouse and sure enough it works fine in 2.2 and 2.3.
So in the end the work arounds seams to be use a mouse. Its a bit of silly problem, but Kepler is not broken per se.

Thank you for your time, and effort. | appreciate your support and quick response.
lan.

#7 - 08/27/2012 11:50 AM - Derik Barseghian

I'm so glad you were able to track it down and provide us w/ these details. If you find anything else related please do add another comment. This is
going to be a bit of a challenge to fix since | don't have a pen and tablet.

Christopher is probably most familiar w/ how the Edit Parameters dialogs work, he might have some better guesses as to what's happening.

After a little googling | see a java issue w/ pens and mouseClicked events that might be tied in:

"l get mousePressed/mouseReleased events correctly; mouseClicked events happen always with the pen tablet mouse, but mouseClicked events do
not happen with the pen unless | manage to keep the pen very still. Even a 1-pixel movement is enough to make it fail."

http://stackoverflow.com/questions/752121/java-swing-debugging-headaches-with-wacom-pen-tablet

http://bugs.sun.com/bugdatabase/view_bug.do;jsessionid=eaf146387466956f9693eedcal ?bug_id=6578074

It doesn't really fit the scenario you're seeing since the Commit button action seems to take place (dialog closes), but I'm wondering if something in
our code e.g. relies on mouseReleased events while another part relies on mouseClicked. You might be able to (in)validate this theory by pressing
and releasing extremely carefully (exact same pixel) on the Confirm button.

#8 - 08/27/2012 06:18 PM - lan lan

There seams something to it.

Tested clicking on the Commit button in different ways;

Normal clicks - ie without horizontal or vertical movement, text values are not captured.

If | deliberately click, then move the cursor (within the button area) before releasing, the text values captured correctly.

Reading the links you included | found | also have the same JFileChooser problem, double clicking directories does open. How ever | have not had
any trouble double clicking actors in Kepler.

#9 - 03/27/2013 02:31 PM - Redmine Admin
Original Bugzilla ID was 5692
